//
//  AddItemViewController.swift
//  AutocompleteDemo
//
//  Created by Merlyn on 8/23/15.
//  Copyright (c) 2015 The App Lady. All rights reserved.
//

import UIKit

class AddItemViewController: UIViewController, UITextFieldDelegate {
    @IBOutlet weak var task: UITextField!
    @IBOutlet weak var messageBox: UILabel!
    var PLM = PlistManager()
    var taskList = [String]()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        PLM.createPlistFile("Tasks.plist")
        taskList = PLM.fetchData("Tasks.plist")
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    @IBAction func save(sender: AnyObject) {
        task.resignFirstResponder()
        
        if task.text.isEmpty {
            messageBox.text = "Task required."
            return
        }
        
        if taskExistsOnFile() == true {
            messageBox.text = "Sorry, that task already exists on file."
        } else if saveTask() == true {
            messageBox.text = "Task saved."
        }
    }
    
    func taskExistsOnFile() -> Bool {
        var taskFound = false
        taskList = PLM.fetchData("Tasks.plist")
       
        if taskList.count > 0 {
            let predicate : NSPredicate = NSPredicate(format: "SELF LIKE[c] %@", task.text)
            let searchResults = taskList.filter {predicate.evaluateWithObject($0)}
            if searchResults.count > 0 {
                taskFound = true
            }
        }
        
        return taskFound
    }
    
    func saveTask() -> Bool {
        var taskSaved = false
        taskList.append(task.text)
        let taskArray = taskList as NSArray
        taskSaved = PLM.saveData("Tasks.plist", tasks: taskArray)
        
        return taskSaved
    }

}
