//
//  PlistManager.swift
//  AutocompleteDemo
//
//  Created by Merlyn on 3/20/15.
//  Copyright (c) 2015 The App Lady. All rights reserved.

import UIKit

class PlistManager: NSObject {
    var filePath: String = ""
    
    func getDocsDir() -> String {
        let paths = NSSearchPathForDirectoriesInDomains(.DocumentDirectory, .UserDomainMask, true) as NSArray
        let documentsDir = paths.firstObject as! String
        return documentsDir
    }
    
    func createPlistFile(fileName: String) {
        filePath = getDocsDir().stringByAppendingPathComponent(fileName)
        println("File Path:\n\(filePath)")
        let manager = NSFileManager.defaultManager()
        
        if (!manager.fileExistsAtPath(filePath)) {
            var taskArray = NSArray()
            taskArray.writeToFile(filePath, atomically: true)
        }
    }
    
    func fetchData(fileName: String) -> [String] {
        filePath = getDocsDir().stringByAppendingPathComponent(fileName)
        let plistData = NSArray(contentsOfFile: filePath) as! [(String)]
        return plistData
    }
    
    func saveData(fileName: String, tasks: NSArray) -> Bool {
        filePath = getDocsDir().stringByAppendingPathComponent(fileName)
        var success = tasks.writeToFile(filePath, atomically: true)
        
        if success {
            success = true
        }
        
        return success
    }
}
